PYMODBUS.SIMULATOR(1)

NAME
pymodbus.simulator - Modbus server simulator with REST API and web interface

SYNOPSIS
pymodbus.simulator [--modbus_server SERVER] [--modbus_device DEVICE] [--http_host HOST] [--http_port PORT] [--log LEVEL] [--log_file FILE] [--json_file FILE] [--custom_actions_module MODULE]

DESCRIPTION
pymodbus.simulator starts a Modbus server simulator with an HTTP REST API and a web console. The simulator combines a datastore simulator (defining registers and their behaviour), a Modbus server, and an HTTP server providing an online console accessible from a browser.

OPTIONS

--modbus_server SERVER
    Use SERVER from server_list in the JSON configuration file.

--modbus_device DEVICE
    Use DEVICE from device_list in the JSON configuration file.

--http_host HOST
    Bind the HTTP server to HOST.

--http_port PORT
    Bind the HTTP server to PORT (default: 8081).

--log LEVEL
    Set log level. One of: critical, error, warning, info, debug (default: info).

--log_file FILE
    Write server log to FILE (default: server.log).

--json_file FILE
    Load simulator configuration from FILE (default: built-in setup.json).

--custom_actions_module MODULE
    Python file providing custom register actions (default: none).

SEE ALSO
The pymodbus documentation is available in the python-pymodbus-doc package.